[arch-commits] Commit in xcmiscproto/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 21 02:03:20 EDT 2009


    Date: Tuesday, April 21, 2009 @ 02:03:20
  Author: eric
Revision: 36359

Merged revisions 356,36351 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xcmiscproto/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r36351 | eric | 2009-04-21 01:50:05 -0400 (Tue, 21 Apr 2009) | 2 lines
  
  upgpkg: xcmiscproto 1.1.2-2
      Added license
........

Modified:
  xcmiscproto/repos/extra-i686/	(properties)
  xcmiscproto/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)


Property changes on: xcmiscproto/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xcmiscproto/trunk:1
   + /xcmiscproto/trunk:1-36358

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-21 05:58:39 UTC (rev 36358)
+++ extra-i686/PKGBUILD	2009-04-21 06:03:20 UTC (rev 36359)
@@ -3,17 +3,19 @@
 
 pkgname=xcmiscproto
 pkgver=1.1.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 XC-Miscellaneous extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('fde0b050901f024b19159cdacdcfbd20')
 sha1sums=('825ec15986cd1ab008b11f6379eb4c7f3c78bd76')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list